﻿using System;
using CoreGraphics;
using Foundation;
using Syncfusion.SfChart.iOS;
using UIKit;

namespace SimpleSample
{
	public class CustomCandleSeries : SFCandleSeries
	{
		public CustomCandleSeries()
		{
		}

		public override void DrawInContext(CoreGraphics.CGContext ctx)
		{
			NSMutableArray barSegments = this.ValueForKey(new NSString("segments")) as NSMutableArray;

			for (int i = 0; i < (int)barSegments.Count-1; i++)
			{
				SFChartSegment segment = barSegments.GetItem<SFChartSegment>((nuint)i);

				segment.SetValueForKey(NSNumber.FromBoolean(false), new NSString("enableAnimation"));
			}

			base.DrawInContext(ctx);


		}

	}

}
